Bug 315169 - Top screen menubar is cropped
Summary: Top screen menubar is cropped
Status: RESOLVED FIXED
Alias: None
Product: kded-appmenu
Classification: Unclassified
Component: top menubar (show other bugs)
Version: unspecified
Platform: Archlinux Packages Linux
: NOR major
Target Milestone: ---
Assignee: Cédric Bellegarde
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-14 23:24 UTC by Götz
Modified: 2013-04-14 21:23 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.10.2


Attachments
No mouse over (9.47 KB, image/png)
2013-02-14 23:26 UTC, Götz
Details
Mouse over (12.11 KB, image/png)
2013-02-14 23:26 UTC, Götz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Götz 2013-02-14 23:24:36 UTC
The top screen menubar is cropped, with and without composition.
See attached screenshots.

Reproducible: Always
Comment 1 Götz 2013-02-14 23:26:23 UTC
Created attachment 77309 [details]
No mouse over
Comment 2 Götz 2013-02-14 23:26:54 UTC
Created attachment 77310 [details]
Mouse over
Comment 3 Cédric Bellegarde 2013-02-25 09:27:07 UTC
Strange, can you try with standard plasma theme after removing:
/var/tmp/kdecache-username
Comment 4 Götz 2013-02-25 19:03:43 UTC
After removing  /var/tmp/kdecache-$USER and changing from Androbit to Air, the menus for newly opened applications where complete, for older apps they where still cut. When changing back to Androbit, the menus for apps opened using Air where complete, but for newly opened ones (using Androbit) where cut.
Could the bug be in the Androbit plasma theme?
Comment 5 Cédric Bellegarde 2013-03-01 13:34:12 UTC
Can confirm issue, will try to fix it...
Comment 6 Cédric Bellegarde 2013-03-04 09:46:04 UTC
Git commit 63b53026f618eab01639f3b8c7a4a189ea84ff85 by Cedric Bellegarde.
Committed on 04/03/2013 at 10:45.
Pushed by cedric into branch 'master'.

M  +1    -1    appmenu/menubar.cpp

http://commits.kde.org/kde-workspace/63b53026f618eab01639f3b8c7a4a189ea84ff85
Comment 7 Cédric Bellegarde 2013-03-04 09:47:22 UTC
Git commit 82ee44dd5adfef655a685d657fcc8b518ce3f590 by Cedric Bellegarde.
Committed on 04/03/2013 at 10:47.
Pushed by cedric into branch 'KDE/4.10'.

M  +1    -1    appmenu/menubar.cpp

http://commits.kde.org/kde-workspace/82ee44dd5adfef655a685d657fcc8b518ce3f590